import { KbqTimezoneGroup, KbqTimezoneZone } from './timezone.models';
/**
 * Convert string timezone offset (formatted offset) to number (minutes)
 */
export declare function parseOffset(offset: string): number;
/**
 * Grouping timezones by countries
 */
export declare function getZonesGroupedByCountry(data: KbqTimezoneZone[], otherCountriesLabel?: string, priorityCountry?: string): KbqTimezoneGroup[];
export declare function offset(value: any): string;
export declare function offsetFormatter(value: string): string;
export declare function offsetFormatterAsObject(value: string): {
    [UTC: string]: string;
};
/**
 * Comparator for timezone sorting. Sort by offset and country name
 */
export declare function timezonesSortComparator(first: KbqTimezoneZone, second: KbqTimezoneZone): number;
/**
 * Filtering timezone cities by search string
 */
export declare function filterCitiesBySearchString(cities: string, searchPattern?: string): string;
